Packages - Freedom Issue #194

Freedom Issue # 123 (not-a-bug): wanted: blacklist for nonfree aur packages
makepkg license check

2012-09-07 03:05 PM - tbirdz

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

| think it would be a really cool feature if Parabola GNU/Linux could make a makepkg-libre version with some additional features. The
new makepkg could check the license field and warn the user if they are trying to make a package without a Free license. If the user
had your-freedom installed they could even block them from installing it (though that could require more changes to pacman, your
example).

This would come in handy because there are many useful software packages on the aur that could be used, but sometimes its easy
to accidentally install a nonfree package by mistake. This would add an extra check to make sure that you knew what you were
doing.

Also the license check should have an override. Some packages in the aur have the License mislabeled, or didn't define a license.
Obviously the better solution would be to have all the packages in the aur keep themselves up to date with licensing, but that isn't as
feasible as this license check.

This makepkg license check would really help when installing aur packages. There may still be some degree of risk of installing a
nonfree package, like if a maintainer mislabels it as GPL when it is actually under a nonfree license, so installing packages from the
aur shouldn't be officially supported/etc, but this is Arch Linux's policy towards the aur anyway.

Related issues:
Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress

History

#2 - 2012-09-07 03:49 PM - fauno

Have you checked libretools.git ? We have a tool called "aur" that does exactly this. There're also plans to make a your-freedom package including
known aur unfree packages, that's a lot less work than forking pacman/makepkg IMO.

Lukeshu has also been hacking on pacman lately, maybe he has more input :)

#3 - 2014-04-13 09:37 AM - lukeshu

could make a makepkg-libre version with some additional features.

Exactly this exits. It is called "libremakepkg", and is part of the "libretools" package. The license check itself is "pkgbuild-check-nonfree".

| think configuring acceptable licenses in pacman would be a really cool, but not worth the effort of maintaining a fork.

#4 - 2014-05-27 01:12 AM - lukeshu

- Status changed from open to not-a-bug

#5 - 2020-07-10 06:54 AM - bill-auger

- Related to deleted (Freedom Issue #123: wanted: blacklist for nonfree aur packages)

#6 - 2020-07-10 06:54 AM - bill-auger
- Parent task set to #123

#7 - 2020-07-10 07:03 AM - bill-auger
- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added

2024-04-11 1/1



https://projects.parabolagnulinux.org/libretools.git/
http://www.tcpdf.org

